BEGIN {
	ERRORLEVEL = ARGV[1]
	ARGV[1] = "-"
	FS = "[-.]"
}
{
	if(ERRORLEVEL) {
		print "SOUND_(" toupper($1) ")"
	} else {
		print "SOUND_RESOURCE_(" toupper($1) ",\"" gensub(/\.wav$/, ".ppd", "g") "\")"
	}
}
